<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="/rental_property_list">
<html><body>
<h3>Rental Properties</h3>
<hr></hr>
<table border="1" cellpadding="5">
	<tr>
		<th>Name</th>
		<th>Street</th>
		<th>City, State</th>
		<th>Square Footage</th>
		<th>Bedrooms</th>
		<th>Bath</th>
		<th>Price</th>
	</tr>

	<!-- Perform loop for each rental propertery in the list -->
	<xsl:for-each select="rental_property" >
		<tr>
			<td>  <xsl:value-of select="name" /> </td>
			<td>  <xsl:value-of select="address/street" />  	</td>
			<td>  <xsl:value-of select="address/city" />, <xsl:value-of select="address/state" /> </td>
			<td>  <xsl:value-of select="square_footage" /> </td>
			<td>  <xsl:value-of select="bedrooms" /> </td>
			<td>  <xsl:value-of select="bath" /> </td>
			<td>  $ <xsl:value-of select="price" />	</td>
		</tr>
	</xsl:for-each>
</table>

</body></html>
</xsl:template>
</xsl:stylesheet>
